﻿namespace ModelTools.Enums
{
	/// <summary>
	/// Тип операции
	/// </summary>
	public enum AccessType : int
	{
		/// <summary>
		/// Простой просомтр
		/// </summary>
		SimpleView = 1,

		/// <summary>
		/// Полный просомтр
		/// </summary>
		FullView = 2,

		/// <summary>
		/// Добавление/Изменение
		/// </summary>
		Change = 4,

		/// <summary>
		/// Удаление
		/// </summary>
		Delete = 8
	}
}