﻿using System.IO;

namespace ModuleTools.Extensions
{
	public static class StringExtension
	{
		/// <summary>
		/// Проверка, что строка пустая
		/// </summary>
		/// <param name="str"></param>
		/// <returns></returns>
		public static bool IsEmpty(this string str) => string.IsNullOrEmpty(str);

		/// <summary>
		/// Проверка, что строка не пустая
		/// </summary>
		/// <param name="str"></param>
		/// <returns></returns>
		public static bool IsNotEmpty(this string str) => !string.IsNullOrEmpty(str);

		/// <summary>
		/// Получение имени файла по полному пути
		/// </summary>
		/// <param name="str"></param>
		/// <returns></returns>
		public static string GetFileName(this string str) => (new FileInfo(str)).Name;
	}
}