﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение должности сотрудника
    /// </summary>
	public class EmployeePostGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение должности сотрудника
    /// </summary>
    public class EmployeePostSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("EmployeePostName")]
        public string EmployeePostName { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Order")]
        public int Order { get; set; }
    }
}