﻿namespace DepartmentBusinessLogic.Enums
{
	/// <summary>
	/// Типы аудиторий
	/// </summary>
	public enum ClassroomType
    {
        /// <summary>
        /// Класс для лабораторных занятий с компьютерами
        /// </summary>
        Дисплейный = 0,

        /// <summary>
        /// Класс для лекционных и практических занятий с проектором
        /// </summary>
        Лекционный = 1,

        /// <summary>
        /// Класс для лекционных и практических занятий юез проектора
        /// </summary>
        Обычный = 2,

        /// <summary>
        /// Научная лаборатория
        /// </summary>
        Научный = 3,

        /// <summary>
        /// Преподавательская
        /// </summary>
        Преподавательская = 4,

        /// <summary>
        /// Служебный кабинет
        /// </summary>
        Служебный = 5
    }
}