﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для сотрудника
	/// </summary>
	public partial class ControlEmployeeElement :
		GenericControlEntityElement<EmployeeGetBindingModel, EmployeeSetBindingModel, EmployeeListViewModel, EmployeeViewModel, EmployeeBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlEmployeeElement()
		{
			InitializeComponent();
			Title = "Сотрудник";
			ControlId = new Guid("9aadbb72-dde5-483f-9bba-021127b42c49");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEmployeeElement() { ControlId = Guid.NewGuid() };
	}
}