﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для должности
	/// </summary>
	public partial class ControlEmployeePostElement :
		GenericControlEntityElement<EmployeePostGetBindingModel, EmployeePostSetBindingModel, EmployeePostListViewModel, EmployeePostViewModel, EmployeePostBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlEmployeePostElement()
		{
			InitializeComponent();
			Title = "Должность";
			ControlId = new Guid("25700525-7765-46c3-bbbf-a842f31bd898");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEmployeePostElement() { ControlId = Guid.NewGuid() };
	}
}