﻿using DesktopTools.Controls;
using DesktopTools.Interfaces;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.ViewModels;
using System;

namespace SecurityWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для настройки среды
	/// </summary>
	public partial class ControlEnviromentSettingElement : 
		GenericControlEntityElement<EnviromentSettingGetBindingModel, EnviromentSettingSetBindingModel, EnviromentSettingListViewModel, EnviromentSettingViewModel, EnviromentSettingBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlEnviromentSettingElement()
		{
			InitializeComponent();
			Title = "Настройки Среды";
			ControlId = new Guid("9888d5c5-14d4-4528-a544-f0ede22aaad3");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEnviromentSettingElement() { ControlId = Guid.NewGuid() };
	}
}