﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с должностями сотрудников
	/// </summary>
	public class EmployeeBusinessLogic : GenericBusinessLogic<EmployeeGetBindingModel, EmployeeSetBindingModel, EmployeeListViewModel, EmployeeViewModel>
	{
		public EmployeeBusinessLogic(IEmployeeService service) : base(service, "Сотрудники", AccessOperation.Сотрудники) { }
	}
}