﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для аудитории
	/// </summary>
	public partial class ControlClassroomElement :
		GenericControlEntityElement<ClassroomGetBindingModel, ClassroomSetBindingModel, ClassroomListViewModel, ClassroomViewModel, ClassroomBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlClassroomElement()
		{
			InitializeComponent();
			Title = "Сотрудник";
			ControlId = new Guid("b5d7c662-ee62-4f46-b58e-e6859c69a546");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlClassroomElement() { ControlId = Guid.NewGuid() };
	}
}