﻿namespace SecurityBusinessLogic.BindingModels
{
	/// <summary>
	/// Информация по выгрузки/загрузки данных
	/// </summary>
	public class BackupBindingModel
	{
		/// <summary>
		/// Путь до папки, куда выгружать бекап
		/// </summary>
		public string FolderName { get; set; }

		/// <summary>
		/// Выгрузка всех данных, либо только общедоступных
		/// </summary>
		public bool FullData { get; set; }

		/// <summary>
		/// Создать архив с выгрузкой
		/// </summary>
		public bool CreateArchive { get; set; }

		/// <summary>
		/// Имя файла для архива
		/// </summary>
		public string ArchiveFileName { get; set; }
	}
}