﻿using DesktopTools.Controls;
using DesktopTools.Interfaces;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.ViewModels;
using System;

namespace SecurityWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для роли
	/// </summary>
	public partial class ControlRoleElement : 
		GenericControlEntityElement<RoleGetBindingModel, RoleSetBindingModel, RoleListViewModel, RoleViewModel, RoleBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlRoleElement()
		{
			InitializeComponent();
			Title = "Роли";
			ControlId = new Guid("a905bccb-048f-4249-8665-6e4bd06fa391");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlRoleElement() { ControlId = Guid.NewGuid() };
	}
}